The Author Check API provides HTTP endpoints to find researchers and check for their associated flagged publications. You can search for researchers using various identifiers such as their name, affiliation, ORCID, DOI or Dimensions pubId. The API returns detailed profiles, including publication counts, collaboration data, and specific information on any publications that have been flagged (e.g., retracted).
The API accepts and returns data in JSON format and uses standard HTTP status codes to indicate the success or failure of a request.
- Base URL:
`https://api.digital-science.com/author-check/v1` - Authentication: Include your API key in the
`X-API-KEY`header. - Format: Requests and responses are in JSON format (
application/json).
Endpoints
- Headers:
- Accept:
application/json
- Accept:
Search for Researchers
Endpoint
`POST /researchers/search`
Description
Search for researchers by providing identifying information such as name, affiliation, ORCID, or publication identifiers. The endpoint accepts a list of search queries and returns a corresponding list of matching profiles.
Request
- Body Parameters (JSON format):
The request body must be a JSON array where each object contains the search criteria for a researcher.
name(string, required): The name of the researcher.affiliation(string, optional): The name of the researcher's affiliated organization.orcid(string, optional): The ORCID of the researcher.id(string, optional): The Dimensions ID of the researcher.doi(string, optional): The DOI of a publication the researcher is associated with.pubid(string, optional): The Dimensions publication ID.
curl -X POST https://api.digital-science.com/author-check/v1/researchers/search \
--header "Content-Type: application/json" \
--header "X-API-KEY: {YOUR-API-KEY}"\
--data '[
{
"name": "S Hawking",
"affiliation": "University of Cambridge"
}
]'Response
- 200 OK
- Body (JSON format):
A list of results, where each object corresponds to an input query and contains the matching profiles found.
[ { "input": { "name": "S Hawking", "affiliation": "University of Cambridge", "orcid": null, "id": null, "doi": null, "pubid": null }, "errorMsg": null, "profiles": [ { "id": "ur.012212614165.22", "networkFlag": false, "firstName": "Stephen William", "lastName": "Hawking", "orcids": "0000-0002-9079-593X", "lastAffiliation": "University of Cambridge, United Kingdom", "allResearchOrgs": [ { "organizationId": "grid.5335.0", "organizationName": "University of Cambridge" } ], "mainResearchField": "Particle and High Energy Physics, Mathematical Physics", "firstActiveYear": 1965, "lastActiveYear": 2023, "countPublications": 298, "countGrants": 6, "publicationOutputPercentile": 0.8079847908745247, "flaggedPublicationsCount": 0, "coauthorsWithFlaggedPub": 0, "coauthorsWithNetworkFlag": 0 } ] } ] - The response includes the original
inputquery and an array ofprofilesthat match. Key fields include the researcher's Dimensionsid,lastAffiliation, publication counts, andflaggedPublicationsCount.
- Body (JSON format):
A list of results, where each object corresponds to an input query and contains the matching profiles found.
Get Flagged Publications
Endpoint
`GET /researchers/profiles`
Description
Retrieves the full profiles for one or more researchers, including a detailed list of their flagged publications and top co-authors, based on their unique researcher IDs.
Request
- Query Parameters:
`payload`(string, required): A comma-separated string of researcheridvalues (e.g.,ur.016152545742.02,ur.012212614165.22).
curl -X GET https://api.digital-science.com/author-check/v1/researchers/profiles?payload=ur.016152545742.02,ur.012212614165.22 \
--header "X-API-KEY: YOUR_API_KEY"Response
- 200 OK
- Body (JSON format):
A list of researcher profiles, each containing details on flagged publications and co-authors.
[ { "id": "ur.016152545742.02", "firstName": "Jobin", "lastName": "Jose", "lastAffiliation": "Nitte University, India", "flaggedPublications": [ { "title": "[Retracted] Development of Microneedle Patch Loaded with Bacopa monnieri Solid Lipid Nanoparticles for the Effective Management of Parkinson’s Disease", "year": 2022, "source": "Bioinorganic Chemistry and Applications", "publisher": null, "flags": [ { "date": "2024-01-24", "type": "Retraction notice", "dataSource": "Retraction Watch", "retractionReason": { "reason": "+Concerns/Issues about Results and/or Conclusions", "level1": null, "level2": null } } ] } ], "coauthors": [ { "id": "ur.07667766560.18", "networkFlag": false, "firstName": "Akshay", "lastName": "Bandiwadekar", "orcids": "0000-0001-5673-2794", "lastAffiliation": null, "allResearchOrgs": [], "mainResearchField": "Medical Biotechnology, Biochemistry and Cell Biology", "firstActiveYear": 2021, "lastActiveYear": 2025, "countPublications": 17, "countGrants": null, "publicationOutputPercentile": 0.8952358276153164, "flaggedPublicationsCount": 1, "coauthorsWithFlaggedPub": 0, "coauthorsWithNetworkFlag": 0, "strengthOfCollaboration": 17 } ] } ] - The
flaggedPublicationsarray lists publications with integrity issues, including thetypeof flag (e.g., “Retraction notice“) and theretractionReason. Thecoauthorsarray provides profiles of collaborators.
- Body (JSON format):
A list of researcher profiles, each containing details on flagged publications and co-authors.
Get Coauthors
Endpoint
GET /researchers/coauthors
Description
Retrieves all authors that have collaborated with the researcher in focus. The details returned for these coauthors include the strength of their collaboration with said researcher in focus as well as all research organisations related.
We currently return 20 coauthors at a time.
Request
- Query Parameters:
id(string, required): A string, researcherid(e.g.,ur.016152545742.02).offset(integer, required): An integer , the number of researchers to skip before starting to return results. It is used for pagination, together with the default page size of 20 researchers per request.
curl -X GET https://api.digital-science.com/author-check/v1/researchers/coauthors?id=ur.016152545742.02&offset=10 \
--header "X-API-KEY: YOUR_API_KEY"Response
- 200 OK
-
Body (JSON format): A list of researcher's coauthors, each containing details like the strength of collaborations. The coauthors are sorted in descending order of this strength of collaboration.
[ { "id": "ur.07777523330.93", "networkFlag": false, "firstName": "Sheila", "lastName": "Salada", "orcids": null, "lastAffiliation": "St James's University Hospital, United Kingdom", "allResearchOrgs": [ { "organizationId": "grid.443984.6", "organizationName": "St James's University Hospital" } ], "mainResearchField": "Genetics", "firstActiveYear": 2023, "lastActiveYear": 2023, "countPublications": 2, "countGrants": null, "publicationOutputPercentile": 0.052709863344798734, "flaggedPublicationsCount": 0, "coauthorsWithFlaggedPub": 3, "coauthorsWithNetworkFlag": 0, "strengthOfCollaboration": 2 }, { "id": "ur.07776660065.28", "networkFlag": false, "firstName": "Gabor", "lastName": "Debreceni", "orcids": null, "lastAffiliation": "St Mary's Hospital, United Kingdom", "allResearchOrgs": [ { "organizationId": "grid.439564.9", "organizationName": "St Mary's Hospital" } ], "mainResearchField": "Genetics", "firstActiveYear": 2020, "lastActiveYear": 2023, "countPublications": 4, "countGrants": null, "publicationOutputPercentile": 0.2672482685135855, "flaggedPublicationsCount": 0, "coauthorsWithFlaggedPub": 3, "coauthorsWithNetworkFlag": 0, "strengthOfCollaboration": 2 }, { "id": "ur.07773662230.27", "networkFlag": false, "firstName": "Lily", "lastName": "Zitter", "orcids": null, "lastAffiliation": "Royal Devon and Exeter Hospital, United Kingdom", "allResearchOrgs": [ { "organizationId": "grid.416118.b", "organizationName": "Royal Devon and Exeter Hospital" } ], "mainResearchField": "Genetics", "firstActiveYear": 2023, "lastActiveYear": 2023, "countPublications": 2, "countGrants": null, "publicationOutputPercentile": 0.052709863344798734, "flaggedPublicationsCount": 0, "coauthorsWithFlaggedPub": 3, "coauthorsWithNetworkFlag": 0, "strengthOfCollaboration": 2 } ] -
The
strengthOfCollaborationvariable specifies the number of collaborations with said author.
-
Error Handling
The API uses standard HTTP status codes to indicate the result of a request.
- 200 OK: The request was successful.
- 404 Not Found: Returned when a requested entity cannot be found.
- 422 Unprocessable Entity: Returned when the request input is malformed or fails validation.
- 500 Internal Server Error: Returned when an unexpected internal error occurs.
Reasonable Use
The purpose of the API is to help users query Dimensions Author Check data points as part of their internal manuscript review workflows.
Your subscription to use the API includes a defined number of tokens. Any tokens generated in excess of that number may be revoked without notice, or subject to additional charges. Use of a token must be limited to a specific internal application i.e. a specific software application, tool or dashboard owned or controlled by you, accessible only to your staff, with a single, clearly defined use case (we define “use case” as a consistent set of analyses, displays, or actions). Access credentials should not be used across multiple apps.
The API is provided strictly for your own internal use. This means that any app which makes use of the API must be strictly access controlled, with access limited to your staff. Use in connection with apps that are accessible outside of your organization or used to provide services to others is strictly prohibited. Use in connection with apps that you do not own or control is not permitted without specific prior written approval.
The API is not intended for analytical use cases or training purposes, nor to create local copies of the Dimensions data for use as an alternative to the API, which should remain as the primary source of the data. You should limit your use to what is necessary for the review(s) you are performing, not to support non-specific tasks or to collect or benchmark Dimensions Author Check data, and never in a way which may have an adverse impact on the performance or others’ use of the API.
If you require access to substantial volumes of Dimensions data or use of data for analytical or training purposes, please let us know so that we can advise on the most appropriate means of getting that access.
We reserve the right to impose such limits on the API as we consider are reasonable. Any account associated with a violation of these rules may be subject to enforcement action, including suspension.
Please also make sure you comply with the other terms of your Dimensions subscription.
Query limits
The following general limits apply to all users of the Dimensions Author Check API: max. 20 requests per minute. These limitations cannot be modified for individual users or subscribing organizations and have been put in place to allow for a good performance of the API for all users for the purpose of retrieving related data points pertaining to researchers.